# $Revision: 1.22 $, $Date: 2011/04/09 10:08:12 $
Summary:	Wrapping library to the System Tools Backends
Summary(pl.UTF-8):	Biblioteka opakowywująca dla System Tools Backends
Name:		liboobs
Version:	3.0.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/liboobs/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	fc3235b902a1cb7ac45776431004a57b
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	system-tools-backends >= 2.10.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liboobs is a wrapping library to the System Tools Backends. It
provides easy to access GObjects to system configuration details, like
users, groups and network interfaces.

%description -l pl.UTF-8
Liboobs jest biblioteką opakowywującą dla System Tools Backends.
Dostarcza łatwe interfejsy GObjects dla szczegółów konfiguracyjnych,
takich jak użytkownicy, grupy, czy interfejsy sieciowe.

%package devel
Summary:	Header files for liboobs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboobs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.14.0

%description devel
Header files for liboobs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboobs.

%package static
Summary:	Static liboobs library
Summary(pl.UTF-8):	Statyczna biblioteka liboobs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liboobs library.

%description static -l pl.UTF-8
Statyczna biblioteka liboobs.

%package apidocs
Summary:	liboobs API documentation
Summary(pl.UTF-8):	Dokumentacja API liboobs
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
liboobs API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API liboobs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/liboobs-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboobs-1.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboobs-1.so
%{_includedir}/liboobs-1.0
%{_pkgconfigdir}/liboobs-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liboobs-1.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboobs.spec,v $
Revision 1.22  2011/04/09 10:08:12  megabajt
- updated to 3.0.0
- removed libtool file

Revision 1.21  2010/10/21 21:32:25  qwiat
- fixed filename

Revision 1.20  2010/10/21 21:22:54  qwiat
- updated to 2.32.0

Revision 1.19  2010/05/19 16:54:58  megabajt
- updated to 2.30.1

Revision 1.18  2010/04/02 16:38:20  sls
- ver. 2.30.0

Revision 1.17  2009/12/24 11:04:49  megabajt
- updated to 2.22.2

Revision 1.16  2009/11/28 01:35:29  sparky
- BR: docbook-dtd412-xml

Revision 1.15  2008/03/11 15:45:20  patrys
- 2.22.0
- merged from DEVEL

Revision 1.14.2.6  2008-03-11 15:44:41  patrys
- 2.22.0

Revision 1.14.2.5  2008-02-12 09:37:53  megabajt
- updated to 2.21.91

Revision 1.14.2.4  2008-02-11 16:46:32  megabajt
- updated to 2.21.90

Revision 1.14.2.3  2008-01-15 15:21:34  patrys
- 2.21.5

Revision 1.14.2.2  2007-12-25 12:59:34  megabajt
- updated to 2.21.3
- more verbose files

Revision 1.14.2.1  2007-12-20 01:47:50  patrys
- 2.21.2

Revision 1.14  2007/09/14 19:35:19  megabajt
- updated to 2.20.0; merged changes from DEVEL

Revision 1.13.2.2  2007/09/08 23:46:26  aflinta
- up to 2.19.92

Revision 1.13.2.1  2007/09/02 15:42:39  aflinta
- up to 2.19.91

Revision 1.13  2007/04/10 19:47:43  rotom
- 2.18.1

Revision 1.12  2007/03/20 15:57:02  patrys
- 2.18.0

Revision 1.11  2007/03/10 17:49:03  megabajt
- updated to 2.17.92

Revision 1.10  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.8  2006/10/06 19:19:03  grzegol
- 0.6.0

Revision 1.7  2006/10/05 12:56:40  grzegol
- 0.5.0

Revision 1.6  2006/09/11 20:09:04  grzegol
- updated to 0.4.0
- removed outdated dbus patch (applied upstream)

Revision 1.5  2006/08/19 20:01:54  qboosh
- fixed License, -devel deps

Revision 1.4  2006/08/13 14:54:25  freetz
- apidocs subpkg

Revision 1.3  2006/08/13 13:52:26  grzegol
- added dbus patch (fix for dbus-0.91)

Revision 1.2  2006/08/13 13:42:45  grzegol
- adapterized

Revision 1.1  2006/08/13 13:41:14  grzegol
- new
